#include "../inc/Posix_QrfeDeviceDetector.h"

#include <QStringList>

Posix_QrfeDeviceDetector::Posix_QrfeDeviceDetector(QObject* parent)
    :QrfeDeviceDetectorBase(parent)
{
}

Posix_QrfeDeviceDetector::~Posix_QrfeDeviceDetector()
{
}

bool Posix_QrfeDeviceDetector::registerForUSBDevice(quint16 /*vendorID*/, quint16 /*productID*/)
{
    return false;
}

bool Posix_QrfeDeviceDetector::registerForHIDDevice(quint16 /*vendorID*/, quint16 /*productID*/)
{
    return false;
}

bool Posix_QrfeDeviceDetector::registerForSerialPorts()
{
    return false;
}

QStringList Posix_QrfeDeviceDetector::getConnectedUSBDevicePaths(quint16 /*vid*/, quint16 /*pid*/)
{
    return QStringList();
}

QStringList Posix_QrfeDeviceDetector::getConnectedHIDDevicePaths(quint16 /*vid*/, quint16 /*pid*/)
{
    return QStringList();
}
